package org.apollo.gui;

import org.expeditee.core.Colour;

public class ApolloColorIndexedModels {
	
	public static final Colour KEY_COLOR = Colour.FromRGBA255(123,58,123,0);
	//private static final int KEY_INDEX = 0; 
	
	/** Color index model for the track graphs */
	//public static final IndexColorModel graphIndexColorModel;

	public static final Colour WAVEFORM_COLOR = Colour.fromRGB24BitPacked(0x1C5BA3);
	public static final Colour WAVEFORM_SELECTION_COLOR = Colour.YELLOW;
	
	//private static final int WAVEFORM_INDEX = 1;
	//private static final int WAVEFORM_SELECTION_INDEX = 2;
	
	//public static final IndexColorModel linkedTrackIndexColorModel;
	
	public static final Colour TRACK1_COLOR = Colour.fromRGB24BitPacked(0x1C5BA3);
	public static final Colour TRACK2_COLOR = Colour.fromRGB24BitPacked(0x3280B7);
	
	public static final int TRACK1_INDEX = 1;
	public static final int TRACK2_INDEX = 2;

	/*static { // Prepare the global color index model for the graphs

		// For waveform graphs:
		byte[] reds = new byte[256];
		byte[] greens = new byte[256];
		byte[] blues = new byte[256];
		
		reds[KEY_INDEX] = (byte)KEY_COLOR.getRed255();
		greens[KEY_INDEX] = (byte)KEY_COLOR.getGreen255();
		blues[KEY_INDEX] = (byte)KEY_COLOR.getBlue255();
		
		reds[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getRed255();
		greens[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getGreen255();
		blues[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getBlue255();
		
		reds[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getRed255();
		greens[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getGreen255();
		blues[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getBlue255();
		
		graphIndexColorModel = new IndexColorModel(8, 256, reds, greens, blues, KEY_INDEX);
		
		
		// For track heirarchy graphs:
		reds = new byte[256];
		greens = new byte[256];
		blues = new byte[256];
		
		reds[KEY_INDEX] = (byte)KEY_COLOR.getRed255();
		greens[KEY_INDEX] = (byte)KEY_COLOR.getGreen255();
		blues[KEY_INDEX] = (byte)KEY_COLOR.getBlue255();
		
		reds[TRACK1_INDEX] = (byte)TRACK1_COLOR.getRed255();
		greens[TRACK1_INDEX] = (byte)TRACK1_COLOR.getGreen255();
		blues[TRACK1_INDEX] = (byte)TRACK1_COLOR.getBlue255();
		
		reds[TRACK2_INDEX] = (byte)TRACK2_COLOR.getRed255();
		greens[TRACK2_INDEX] = (byte)TRACK2_COLOR.getGreen255();
		blues[TRACK2_INDEX] = (byte)TRACK2_COLOR.getBlue255();
		
		linkedTrackIndexColorModel = new IndexColorModel(8, 256, reds, greens, blues, KEY_INDEX);
		
	}*/
}
